LocalJobOutputFiles (Apache Hadoop MapReduce NativeTask 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred.nativetask.util, class: LocalJobOutputFiles

Package org.apache.hadoop.mapred.nativetask.util

# Class LocalJobOutputFiles

java.lang.Object
org.apache.hadoop.mapred.nativetask.util.LocalJobOutputFiles

All Implemented Interfaces:
  `NativeTaskOutput`

@Private public class LocalJobOutputFiles extends Object implements NativeTaskOutput

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalJobOutputFiles(org.apache.hadoop.conf.Configuration conf, String id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.fs.Path`
  `getInputFile(int mapId)`
  Return a local reduce input file created earlier
  `org.apache.hadoop.fs.Path`
  `getInputFileForWrite(org.apache.hadoop.mapred.TaskID mapId, long size, org.apache.hadoop.conf.Configuration conf)`
  Create a local reduce input file name.
  `org.apache.hadoop.fs.Path`
  `getOutputFile()`
  Return the path to local map output file created earlier
  `org.apache.hadoop.fs.Path`
  `getOutputFileForWrite(long size)`
  Create a local map output file name.
  `org.apache.hadoop.fs.Path`
  `getOutputIndexFile()`
  Return the path to a local map output index file created earlier
  `org.apache.hadoop.fs.Path`
  `getOutputIndexFileForWrite(long size)`
  Create a local map output index file name.
  `String`
  `getOutputName(int partition)`
  `org.apache.hadoop.fs.Path`
  `getSpillFile(int spillNumber)`
  Return a local map spill file created earlier.
  `org.apache.hadoop.fs.Path`
  `getSpillFileForWrite(int spillNumber, long size)`
  Create a local map spill file name.
  `org.apache.hadoop.fs.Path`
  `getSpillIndexFile(int spillNumber)`
  Return a local map spill index file created earlier
  `org.apache.hadoop.fs.Path`
  `getSpillIndexFileForWrite(int spillNumber, long size)`
  Create a local map spill index file name.
  `void`
  `removeAll()`
  Removes all of the files related to a task.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalJobOutputFiles

    public LocalJobOutputFiles(org.apache.hadoop.conf.Configuration conf, String id)

- ## Method Details

  - ### getOutputFile

    public org.apache.hadoop.fs.Path getOutputFile() throws IOException
    Return the path to local map output file created earlier
    Specified by:
      `getOutputFile` in interface `NativeTaskOutput`
    Throws:
      `IOException`

  - ### getOutputFileForWrite

    public org.apache.hadoop.fs.Path getOutputFileForWrite(long size) throws IOException
    Create a local map output file name.
    Specified by:
      `getOutputFileForWrite` in interface `NativeTaskOutput`
    Parameters:
      `size` - the size of the file
    Throws:
      `IOException`

  - ### getOutputIndexFile

    public org.apache.hadoop.fs.Path getOutputIndexFile() throws IOException
    Return the path to a local map output index file created earlier
    Specified by:
      `getOutputIndexFile` in interface `NativeTaskOutput`
    Throws:
      `IOException`

  - ### getOutputIndexFileForWrite

    public org.apache.hadoop.fs.Path getOutputIndexFileForWrite(long size) throws IOException
    Create a local map output index file name.
    Specified by:
      `getOutputIndexFileForWrite` in interface `NativeTaskOutput`
    Parameters:
      `size` - the size of the file
    Throws:
      `IOException`

  - ### getSpillFile

    public org.apache.hadoop.fs.Path getSpillFile(int spillNumber) throws IOException
    Return a local map spill file created earlier.
    Specified by:
      `getSpillFile` in interface `NativeTaskOutput`
    Parameters:
      `spillNumber` - the number
    Throws:
      `IOException`

  - ### getSpillFileForWrite

    public org.apache.hadoop.fs.Path getSpillFileForWrite(int spillNumber, long size) throws IOException
    Create a local map spill file name.
    Specified by:
      `getSpillFileForWrite` in interface `NativeTaskOutput`
    Parameters:
      `spillNumber` - the number
      `size` - the size of the file
    Throws:
      `IOException`

  - ### getSpillIndexFile

    public org.apache.hadoop.fs.Path getSpillIndexFile(int spillNumber) throws IOException
    Return a local map spill index file created earlier
    Specified by:
      `getSpillIndexFile` in interface `NativeTaskOutput`
    Parameters:
      `spillNumber` - the number
    Throws:
      `IOException`

  - ### getSpillIndexFileForWrite

    public org.apache.hadoop.fs.Path getSpillIndexFileForWrite(int spillNumber, long size) throws IOException
    Create a local map spill index file name.
    Specified by:
      `getSpillIndexFileForWrite` in interface `NativeTaskOutput`
    Parameters:
      `spillNumber` - the number
      `size` - the size of the file
    Throws:
      `IOException`

  - ### getInputFile

    public org.apache.hadoop.fs.Path getInputFile(int mapId) throws IOException
    Return a local reduce input file created earlier
    Specified by:
      `getInputFile` in interface `NativeTaskOutput`
    Parameters:
      `mapId` - a map task id
    Throws:
      `IOException`

  - ### getInputFileForWrite

    public org.apache.hadoop.fs.Path getInputFileForWrite(org.apache.hadoop.mapred.TaskID mapId, long size, org.apache.hadoop.conf.Configuration conf) throws IOException
    Create a local reduce input file name.
    Specified by:
      `getInputFileForWrite` in interface `NativeTaskOutput`
    Parameters:
      `mapId` - a map task id
      `size` - the size of the file
    Throws:
      `IOException`

  - ### removeAll

    public void removeAll() throws IOException
    Removes all of the files related to a task.
    Specified by:
      `removeAll` in interface `NativeTaskOutput`
    Throws:
      `IOException`

  - ### getOutputName

    public String getOutputName(int partition)
    Specified by:
      `getOutputName` in interface `NativeTaskOutput`